%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-scmp
Version:    0.0.3
Release:    2%{?dist}
Summary:    Constant-time string comparison intended to be safer against timing attacks
License:    BSD
Group:      System Environment/Libraries
URL:        https://github.com/freewil/scmp
Source0:    http://registry.npmjs.org/scmp/-/scmp-%{version}.tgz
# Include a copy of the BSD license to comply with license requirements.
# https://github.com/freewil/scmp/pull/1
Source1:    LICENSE

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/scmp
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/scmp

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/scmp


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.3-1
- initial package
